import request from '@/utils/request'

// 创建app版本管理
export function createVersion(data) {
  return request({
    url: '/system/version/create',
    method: 'post',
    data: data
  })
}

// 更新app版本管理
export function updateVersion(data) {
  return request({
    url: '/system/version/update',
    method: 'put',
    data: data
  })
}

// 删除app版本管理
export function deleteVersion(id) {
  return request({
    url: '/system/version/delete?id=' + id,
    method: 'delete'
  })
}

// 获得app版本管理
export function getVersion(id) {
  return request({
    url: '/system/version/get?id=' + id,
    method: 'get'
  })
}

// 获得app版本管理分页
export function getVersionPage(query) {
  return request({
    url: '/system/version/page',
    method: 'get',
    params: query
  })
}

// 导出app版本管理 Excel
export function exportVersionExcel(query) {
  return request({
    url: '/system/version/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
